/*  This file is part of FediBlock-backend.
 *  Copyright © 2020 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FEDIBLOCK_BACKEND_TYPES_HPP
#define FEDIBLOCK_BACKEND_TYPES_HPP

#include <string>
#include <vector>

namespace FediBlock
{

using std::string;
using std::vector;

struct entry_type
{
    string instance;
    vector<string> tags;
    vector<string> receipts;
    string description;
    string screenshot_filepath;
    string report_time;
};

enum class http_method
{
    GET,
    POST
};

} // namespace FediBlock

#endif // FEDIBLOCK_BACKEND_TYPES_HPP
